Skip to content

List Quotes

GET
/v2/send/quotes

List quotes with pagination and optional status and userId filtering

page[number]
number
default: 1

Page number (starts at 1)

Example
1
page[size]
number
default: 10

Items per page

Example
10
status
string
Allowed values: pending accepted rejected expired

Filter by quote status

userId
required
string format: uuid

Filter by external user ID

Example
82c4fce1-d2c7-48cb-a647-6993dbe37819

Paginated list of quotes

object
items
required

List of quotes

Array<object>
object
id
required

Quote ID

string format: uuid
organisationId
required

Organisation ID

string format: uuid
userId
required

User ID

string format: uuid
status
required

Quote status

string
Allowed values: pending accepted rejected expired
corridorId
required

Corridor ID

string format: uuid
sourceAmount
required

Source amount in base units (smallest unit). For USDC with 6 decimals: 1.00 USDC = 1000000

string
amountDecimals
required

Number of decimal places for source amount (e.g., 6 for USDC)

number
6
destinationAmount
required

Destination amount in base units (smallest unit). For PKR with 2 decimals: 1.00 PKR = 100

string
destinationAmountDecimals
required

Number of decimal places for destination amount (e.g., 2 for PKR)

number
2
recipientId
required

Recipient ID

string
expiresAt

Expiration date

string format: date-time
createdAt

Created date

string format: date-time
updatedAt

Updated date

string format: date-time
page
required

Pagination info

object
number
required

Page number (starts at 1)

number
1
size
required

Items per page

number
10
totalPages
required

Total number of items

number
100
totalCount
required

Total number of pages

number
10
hasNext
required

Whether there is a next page

boolean
true
hasPrev
required

Whether there is a previous page

boolean

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error